## org.biojavax.bio.seq.io
Class UniProtXMLFormat.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms
          org.biojavax.bio.seq.io.UniProtXMLFormat.Terms

Enclosing class:
  UniProtXMLFormat

    public static class UniProtXMLFormat.Terms

extends RichSequence.Terms

Implements some UniProtXML-specific terms.

Field Summary
`static String` `ABBREV_NAME_KEY`
`static String` `COMMON_NAME_KEY`
`static String` `CONTAINS_PREFIX`
`static String` `FULL_NAME_KEY`
`static String` `GENENAME_KEY`
`static String` `GENESYNONYM_KEY`
`static String` `INCLUDES_PREFIX`
`static String` `LOC_FUZZY_END_KEY`
`static String` `LOC_FUZZY_START_KEY`
`static String` `NCBI_TAXON_KEY`
`static String` `ORDLOCNAME_KEY`
`static String` `ORFNAME_KEY`
`static String` `SCIENTIFIC_NAME_KEY`
`static String` `SYNONYM_NAME_KEY`

Fields inherited from class org.biojavax.bio.seq.RichSequence.Terms
`DOI_KEY, MEDLINE_KEY, PLASMID_KEY, PUBMED_KEY, SPECIES_KEY, STRAIN_KEY, TISSUE_KEY, TRANSPOSON_KEY`

Constructor Summary
`UniProtXMLFormat.Terms()`

Method Summary
`static ComparableTerm` `getEvidenceAttrTerm()` Getter for the evidence attr term
`static ComparableTerm` `getEvidenceCategoryTerm()` Getter for the evidence category term
`static ComparableTerm` `getEvidenceDateTerm()` Getter for the evidence date term
`static ComparableTerm` `getEvidenceTypeTerm()` Getter for the evidence type term
`static ComparableTerm` `getFeatureOriginalTerm()` Getter for the feature original term
`static ComparableTerm` `getFeatureRefTerm()` Getter for the feature ref term
`static ComparableTerm` `getFeatureStatusTerm()` Getter for the feature status term
`static ComparableTerm` `getFeatureVariationTerm()` Getter for the feature variation term
`static ComparableTerm` `getLocationSequenceTerm()` Getter for the location seq term
`static ComparableTerm` `getProteinExistsTerm()` Getter for the protein exists term
`static ComparableTerm` `getProteinTypeTerm()` Getter for the protein type term
`static ComparableOntology` `getUniprotKWOnto()` Getter for the private uniprot ontology.
`static ComparableTerm` `getUniProtXMLTerm()` Getter for the UniProtXML term

Methods inherited from class org.biojavax.bio.seq.RichSequence.Terms

`getAdditionalAccessionTerm, getCopyrightTerm, getDataClassTerm, getDateAnnotatedTerm, getDateCreatedTerm, getDateUpdatedTerm, getFeatureDescTerm, getFTIdTerm, getGeneNameTerm, getGeneSynonymTerm, getKeywordTerm, getMolTypeTerm, getOrderedLocusNameTerm, getORFNameTerm, getOrganelleTerm, getPlasmidTerm, getRelAnnotatedTerm, getRelCreatedTerm, getRelUpdatedTerm, getSpeciesTerm, getStrainTerm, getStrandedTerm, getTissueTerm, getTransposonTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTAINS_PREFIX

    public static final String CONTAINS_PREFIX

See Also:
  Constant Field Values

### INCLUDES_PREFIX

    public static final String INCLUDES_PREFIX

See Also:
  Constant Field Values

### GENENAME_KEY

    public static final String GENENAME_KEY

See Also:
  Constant Field Values

### GENESYNONYM_KEY

    public static final String GENESYNONYM_KEY

See Also:
  Constant Field Values

### ORDLOCNAME_KEY

    public static final String ORDLOCNAME_KEY

See Also:
  Constant Field Values

### ORFNAME_KEY

    public static final String ORFNAME_KEY

See Also:
  Constant Field Values

### NCBI_TAXON_KEY

    public static final String NCBI_TAXON_KEY

See Also:
  Constant Field Values

### COMMON_NAME_KEY

    public static final String COMMON_NAME_KEY

See Also:
  Constant Field Values

### FULL_NAME_KEY

    public static final String FULL_NAME_KEY

See Also:
  Constant Field Values

### SCIENTIFIC_NAME_KEY

    public static final String SCIENTIFIC_NAME_KEY

See Also:
  Constant Field Values

### SYNONYM_NAME_KEY

    public static final String SYNONYM_NAME_KEY

See Also:
  Constant Field Values

### ABBREV_NAME_KEY

    public static final String ABBREV_NAME_KEY

See Also:
  Constant Field Values

### LOC_FUZZY_START_KEY

    public static final String LOC_FUZZY_START_KEY

See Also:
  Constant Field Values

### LOC_FUZZY_END_KEY

    public static final String LOC_FUZZY_END_KEY

See Also:
  Constant Field Values

Constructor Detail

### UniProtXMLFormat.Terms

    public UniProtXMLFormat.Terms()

Method Detail

### getProteinExistsTerm

    public static ComparableTerm getProteinExistsTerm()

  Getter for the protein exists term

  Returns:
    The protein exists Term

### getUniprotKWOnto

    public static ComparableOntology getUniprotKWOnto()

  Getter for the private uniprot ontology.

  Returns:
    the ontology.

### getUniProtXMLTerm

    public static ComparableTerm getUniProtXMLTerm()

  Getter for the UniProtXML term

  Returns:
    The UniProtXML Term

### getProteinTypeTerm

    public static ComparableTerm getProteinTypeTerm()

  Getter for the protein type term

  Returns:
    The protein type Term

### getEvidenceCategoryTerm

    public static ComparableTerm getEvidenceCategoryTerm()

  Getter for the evidence category term

  Returns:
    The evidence category Term

### getEvidenceTypeTerm

    public static ComparableTerm getEvidenceTypeTerm()

  Getter for the evidence type term

  Returns:
    The evidence type Term

### getEvidenceDateTerm

    public static ComparableTerm getEvidenceDateTerm()

  Getter for the evidence date term

  Returns:
    The evidence date Term

### getEvidenceAttrTerm

    public static ComparableTerm getEvidenceAttrTerm()

  Getter for the evidence attr term

  Returns:
    The evidence attr Term

### getFeatureRefTerm

    public static ComparableTerm getFeatureRefTerm()

  Getter for the feature ref term

  Returns:
    The feature ref Term

### getFeatureStatusTerm

    public static ComparableTerm getFeatureStatusTerm()

  Getter for the feature status term

  Returns:
    The feature status Term

### getFeatureOriginalTerm

    public static ComparableTerm getFeatureOriginalTerm()

  Getter for the feature original term

  Returns:
    The feature original Term

### getFeatureVariationTerm

    public static ComparableTerm getFeatureVariationTerm()

  Getter for the feature variation term

  Returns:
    The feature variation Term

### getLocationSequenceTerm

    public static ComparableTerm getLocationSequenceTerm()

  Getter for the location seq term

  Returns:
    The location seq Term